package com.palmnest.dao.estateserve;

import java.util.List;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.PushModel;

/**
 * 推送模板接口
 *
 * @author longmeizhen
 */
public interface PushModelDao extends GenericDao<PushModel, Integer> {
	/**
	 * 添加模板的方法
	 *
	 * @param push
	 * @return
	 * @throws Exception
	 */
	public PushModel addPushModel(PushModel push) throws Exception;


	public List<PushModel> getPushModelListByUser(int userId) throws Exception;

	public PushModel getPushModel(int billType, int pushWay, String orgId) throws Exception;

	public List<PushModel> getPushModel(String orgId) throws Exception;
}
